from flask_wtf import FlaskForm
from wtforms import MultipleFileField, StringField, SubmitField
from wtforms.validators import DataRequired, Length


class CreateCorpusForm(FlaskForm):
    description = StringField(
        'Description',
        validators=[DataRequired(), Length(1, 64)]
    )
    files = MultipleFileField('Files', validators=[DataRequired()])
    submit = SubmitField('Create corpus')
    title = StringField(
        'Title',
        validators=[DataRequired(), Length(1, 32)]
    )
    '''
    def validate_files(form, field):
        for file in form.files.getlist[field.name]:
            if file.mimetype
    '''
